// Document.m

#import "Document.h"

@implementation Document

// this is declared in CustomInfo.plist:
NSString *SWordDocumentType = @"SWordDocumentType";


- (NSString *)windowNibName {
    return @"Document";
}

- (void)windowControllerDidLoadNib:(NSWindowController *) aController{
    [super windowControllerDidLoadNib:aController];
    if (readingTextView != nil)
    [textView replaceCharactersInRange:NSMakeRange(0,[[textView string]length])
	withRTFD:[[readingTextView autorelease] RTFDFromRange:NSMakeRange(0,[[readingTextView string]length])]];
}

- (BOOL)writeToFile:(NSString *)fileName ofType:(NSString *)type
{
   return [textView writeRTFDToFile:fileName atomically:YES];
}

- (BOOL)readFromFile:(NSString *)fileName ofType:(NSString *)docType {
    readingTextView = [[NSTextView alloc] init];
    return [readingTextView readRTFDFromFile:fileName];
}

@end
